Python
import requests
url = "https://api.musicgpt.com/api/public/v1/dereverb"
headers = {
"Authorization": "<API_KEY>"
}
data = {
"webhook_url": "https://example.com/my-webhook"
}
# Option 1: audio_url
data["audio_url"] = "<YOUR_AUDIO_URL>"
response = requests.post(url, headers=headers, data=data)
# Option 2: File Upload
# with open("song.mp3", "rb") as f:
# files = {"audio_file": f}
# response = requests.post(url, headers=headers, data=data, files=files)
print(response.json())curl --request POST \
--url https://api.musicgpt.com/api/public/v1/dereverb \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form 'audio_url=https://www.youtube.com/watch?v=example123' \
--form 'audio_file=<string>' \
--form webhook_url=http://your-webhook-url.com/callback \
--form 0.audio_file='@example-file' \
--form 1.audio_file='@example-file'const form = new FormData();
form.append('audio_url', 'https://www.youtube.com/watch?v=example123');
form.append('audio_file', '<string>');
form.append('webhook_url', 'http://your-webhook-url.com/callback');
form.append('0.audio_file', '{
"fileName": "example-file"
}');
form.append('1.audio_file', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
options.body = form;
fetch('https://api.musicgpt.com/api/public/v1/dereverb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"task_id": "dereverb789",
"conversion_id": "conv456",
"eta": -1,
"credit_estimate": 100.1
}{
"success": false,
"error": "Either audio_url or audio_file must be provided."
}{
"success": false,
"error": "Internal Server Error"
}Features
Dereverb
Initiate a reverberation removal task using either an audio URL or file upload with optional webhook callback.
POST
/
v1
/
dereverb
Python
import requests
url = "https://api.musicgpt.com/api/public/v1/dereverb"
headers = {
"Authorization": "<API_KEY>"
}
data = {
"webhook_url": "https://example.com/my-webhook"
}
# Option 1: audio_url
data["audio_url"] = "<YOUR_AUDIO_URL>"
response = requests.post(url, headers=headers, data=data)
# Option 2: File Upload
# with open("song.mp3", "rb") as f:
# files = {"audio_file": f}
# response = requests.post(url, headers=headers, data=data, files=files)
print(response.json())Remove reverb from an input audio file with optional webhook callback for asynchronous updates.
This endpoint removes reverberation (echo) from an uploaded or linked audio file. A
Endpoint
POST /v1/dereverb
webhook_url can be provided for asynchronous task status updates.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
audio_url | String | Optional | The URL of an audio file to clean. Either audio_url or audio_file must be provided. |
audio_file | UploadFile | Optional | Upload the audio file directly. Either audio_url or audio_file must be provided. |
webhook_url | String | Optional | Callback URL for async response. |
💡 Note: Eitheraudio_urloraudio_filemust be provided — one is required.
content-type: multipart/form-data
Sample Output
Listen to a real sample output: Download AudioTry it Yourself
Visit the Dereverb Endpoint Explorer to try your own text samples.
💡 Tip: Set a webhook_url to receive results automatically when your audio is ready.
Sample Request
cURL
curl -X POST "https://api.musicgpt.com/api/public/v1/Dereverb" \
-H "accept: application/json" \
-H "Authorization: <api_key>" \
-F "audio_url=https://www.youtube.com/watch?v=jGflUbPQfW8" \
-F "webhook_url=http://webhook.musicgpt.com"
Python
import requests
url = "https://api.musicgpt.com/api/public/v1/dereverb"
headers = {
"Authorization": "<<<api key>>>"
}
# Option 1: URL
payload = {
"audio_url": "https://example.com/audio.m4a",
"webhook_url": ""
}
response = requests.post(url, headers=headers, data=payload)
print(response.json())
# Option 2: File Upload
# payload = {
# "webhook_url": "https://www.test.requestcatcher.com/test"
# }
# with open("audio.m4a", "rb") as f:
# files = {"audio_file": f}
# response = requests.post(url, headers=headers, data=payload, files=files)
# print(response.json())
🔐 Replace{path_to_your_audio_file},api_key, andwebhook_urlbefore executing.
Sample Response
Success (200 OK)
{
"success":true,
"task_id":"e99d00bb-2ddf-4279-a15e-6e22801ee575",
"conversion_id":"fbcf0c40-a33d-40aa-8c1d-7bb6f9df0b0f",
"eta":40,
"credit_estimate":0.48,
"message":"Message published to queue",
"status":"IN_QUEUE"
}
Webhook Response
Success (200 OK)
{
"success": true,
"conversion_type": "Dereverb",
"task_id": "e99d00bb-2ddf-4279-a15e-6e22801ee575",
"conversion_id": "fbcf0c40-a33d-40aa-8c1d-7bb6f9df0b0f",
"audio_path": "files/4efbdeff-48a2-401c-a9e6-8a2ffe465487.wav",
"noreverb": "https://lalals.s3.amazonaws.com/conversions/e99d00bb-2ddf-4279-a15e-6e22801ee575_reverb.mp3",
"noreverb_wav": "https://lalals.s3.amazonaws.com/conversions/e99d00bb-2ddf-4279-a15e-6e22801ee575_reverb.wav",
"reverb": "https://lalals.s3.amazonaws.com/conversions/e99d00bb-2ddf-4279-a15e-6e22801ee575_noreverb.mp3",
"reverb_wav": "https://lalals.s3.amazonaws.com/conversions/e99d00bb-2ddf-4279-a15e-6e22801ee575_noreverb.wav",
"message": "de_reverb conversion Completed",
"conversion_duration": 136.83045351473922,
"conversion_cost": "0.48"
}
Common Errors
- 422 Unprocessable Entity: Both
audio_urlandaudio_filecannot beNone. - 500 Internal Server Error: A server error occurred during processing.
Authorizations
Body
multipart/form-data
- Option 1
- Option 2
⌘I